Skip to content

Update an existing Pipeline

PATCHhttps://api.neuroscale.io/v2.0/pipelines/{pipeline-id}

Path parameters

Name Type Description
pipeline-id String Unique identifier of the Pipeline.

To update a Pipeline send a JSON-encoded object containing updated values for one or more of the following attributes:

Name Type Description
batch_connection_alias String The batch connection alias to use when creating a Task from the Pipeline.
cloud_connection_alias String The cloud connection alias to use when creating an Instance from the Pipeline.
cloud_connection_alias_fallback String The cloud connection alias fallback to use when creating an Instance from the Pipeline.
description String Description of the Pipeline.
metadata Object / Hash Configuration of the Pipeline's input nodes and output nodes. See Understanding Instance Metadata and the NeuroScale Message Format for more information.
name String Name of the Pipeline.
parameters Object / Hash Object of key-value pairs defining user-adjustable Pipeline parameters and their default values.
properties Object / Hash User-editable object of key-value pairs that can be used to add arbitrary tags to the Pipeline (for personal use).
run_with String The runtime execution environment to use when creating an Instance/creating a Task from the Pipeline.

Authentication

Type: Access token
Required scopes: pipeline or update:pipeline

Responses

Example response — 200

{
    "created_at": 1468592041,
    "description": "Updated description of Pipeline",
    "id": "pl_xTg7suuqGzFCGcnmb6Xx7f",
    "metadata": {
        "nodes": {
            "in": [],
            "out": []
        }
    },
    "name": "My Updated Pipeline",
    "object": "pipeline",
    "owner": "usr_ZTNc2sEjoq6JoEgPNFUg6g",
    "parameters": {},
    "properties": {
        "key_3": "value_3"
    },
    "updated_at": 1468597258
}